# $Revision: 1.10 $, $Date: 2009/10/26 14:46:00 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Action-RenderView
Summary:	Catalyst::Action::RenderView - sensible default end action
Summary(pl.UTF-8):	Catalyst::Action::RenderView - sensowna domyślna akcja końcowa
Name:		perl-Catalyst-Action-RenderView
Version:	0.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Catalyst/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	49144fd677f39e8e8ad5455fa4f647a6
URL:		http://search.cpan.org/dist/Catalyst-Action-RenderView/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Catalyst >= 5.7
BuildRequires:	perl-Data-Visitor >= 0.08
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This action implements a sensible default end action, which will
forward to the first available view, unless status is set to 3xx, or
there is a response body. It also allows you to pass dump_info=1 to
the URL in order to force a debug screen, while in debug mode.

If you have more than one view, you can specify which one to use with
the default_view config setting.

%description -l pl.UTF-8
Ta akcja implementuje sensowną domyślną akcję końcową, przekazującą
pierwszy dostępny widok, chyba że status jest ustawiony na 3xx lub
nie ma ciała odpowiedzi. Pozwala także przekazać dump_info=1 do
URL-a, aby wymusić ekran śledzenia w przypadku trybu śledzenia.

Jeśli jest więcej niż jeden widok, można podać który ma być
wykorzystany przy użyciu ustawienia konfiguracyjnego default_view.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -we 'WriteMakefile(NAME=>"Catalyst::Action::RenderView")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Catalyst/Action/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst-Action-RenderView.spec,v $
Revision 1.10  2009/10/26 14:46:00  amateja
- updated to 0.13

Revision 1.9  2009/09/09 07:24:17  amateja
- updated to 0.11

Revision 1.8  2008/12/12 23:56:22  radek
- version 0.08

Revision 1.7  2008-02-23 11:59:23  radek
- version 0.07

Revision 1.6  2007/03/31 19:27:33  qboosh
- generic URL
- BR: perl-Module-Build

Revision 1.5  2007/03/23 11:16:35  radek
- updated perl-Catalyst-* to newest versions

Revision 1.4  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.2  2006/08/19 21:48:34  qboosh
- pl

Revision 1.1  2006/08/12 15:47:55  migo
- initial revision
